Subject: Re: bug#64740: 28.2; screen interacts badly with TERMCOLOR=truecolor

From: Francesco Potortì <[email-masked]>
Date: Thu, 20 Jul 2023 13:04:06 +0200

>> emacs -nw -Q  behaves strangely under Screen when COLORTERM=truecolor
>> 
>> If I unset COLORTERM  the problem goes away
>> 
>> The problem does not happen outside of Screen.
>> 
>> The problem is that Emacs starts as if it could not use the terminal's reverse capability, that is, the mode line is made of hyphens rather than filled characters.  Also, all text is dimmed.  Moreover, the text stays dimmed in the shell after exiting Emacs.
>> 
>> I do not know if this is an Emacs problem, a Screen problem or else, and unfortunately at the moment I have no time to dig deeper, hope someone else can.
>
>It's a Screen problem, see etc/PROBLEMS and bug#62237.  Since you only
>have Emacs 28, I reproduce the PROBLEMS entry below:

>  ** Colors are not available or messed up on TTY frames inside 'screen'.
...
>  The solution is to either upgrade to a newer version of 'screen'
>  (version 5.x or later reportedly supports true color), or to unset the
>  COLORTERM variable before starting 'screen'

Thank you Eli.  In fact, I am on Debian testing which sports Screen 4.9.0.  Don't know why this bag has started affecting me only now.

Sorry for the duplicate